%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}

Name:           mingw32-libp11
Version:        0.2.4
Release:        1%{?dist}
Summary:        MingGW Windows libp11 library

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://www.opensc-project.org/libp11
Source0:        http://www.opensc-project.org/files/libp11/libp11-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 49
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-libltdl
BuildRequires:  mingw32-openssl
BuildRequires:  pkgconfig

Requires:       pkgconfig


%description
Libp11 is a library implementing a small layer on top of PKCS#11 API to
make using PKCS#11 implementations easier.

This is the MinGW cross-compiled Windows library.


%prep
%setup -q -n libp11-%{version}


%build
%{_mingw32_configure} --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Remove documentation from a wrong place.
# We install it with %doc instead.
rm -rf $RPM_BUILD_ROOT%{_mingw32_docdir}/libp11


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/README NEWS COPYING 
%{_mingw32_bindir}/libp11-0.dll
%{_mingw32_libdir}/libp11-0.dll.def
%{_mingw32_libdir}/libp11.dll.a
%{_mingw32_libdir}/libp11.la
%{_mingw32_libdir}/pkgconfig/*
%{_mingw32_includedir}/*


%changelog
* Wed Mar 25 2009 Kalev Lember <kalev@smartlink.ee> - 0.2.4-1
- Initial RPM release.
